View Issue Details

IDCategoryLast Update
0007141bugs2016-11-28 03:35
ReporterrobscoAssigned Totimbyr 
Reproducibilityalways 
Status resolvedResolutionfixed 
Product Version5.X git (version in description) 
Fixed in Version5.X git (version in description) 
Summary0007141: 2 playlists are created on the new track when duplicating a track that has only 1 playlist using "Create new (empty) playlists"
DescriptionThe attached video should display the issue if the summary does not make sense.

Ardour 5.4.99
"In a Land of Clear Colours"
(rev 5.4-455-g43b468a)
Intel 64-bit
TagsNo tags attached.

Activities

robsco

2016-11-25 17:40

reporter  

playlists_duplicate_copy.mkv (707,491 bytes)

timbyr

2016-11-26 10:06

developer   ~0019052

I can confirm this issue with nightly build version 5.4.456

elgoun

2016-11-27 20:18

reporter   ~0019066

The patch attached fix the problem.

When duplicating a track, a new route is build in

Session::new_route_from_template by XMLRouteFactory.

XMLRouteFactory creates for us a new Playlist.

The call to track->use_new_playlist(), creates again a new playlist.That's why there were 2 playlists in the duplicated track.
Removing the call to use_new_playlist() fix the issue.

elgoun

2016-11-27 20:18

reporter  

fix-7141.patch (464 bytes)
diff --git a/libs/ardour/session.cc b/libs/ardour/session.cc
index 7239607..1273674 100644
--- a/libs/ardour/session.cc
+++ b/libs/ardour/session.cc
@@ -3333,7 +3333,6 @@ Session::new_route_from_template (uint32_t how_many, PresentationInfo::order_t i
 			if ((track = boost::dynamic_pointer_cast<Track> (route))) {
 				switch (pd) {
 				case NewPlaylist:
-					track->use_new_playlist ();
 					break;
 				case CopyPlaylist:
 					track->use_copy_playlist ();
fix-7141.patch (464 bytes)

robsco

2016-11-28 00:43

reporter   ~0019067

Thanks for the patch. It fixes the duplicate "Create new (empty) playlists" issue.

There is still an issue duplicate "Copy playlists". It does not copy the regions to the new track's playlist and also, two playlists empty playlists are created on the new track.

timbyr

2016-11-28 01:16

developer   ~0019068

I committed the patch on master as f50ab8cc and will be in a nightly build >= 5.4.467

Thanks again for the patch

I also noticed the issue with duplicate track and Copy playlists.

timbyr

2016-11-28 02:45

developer   ~0019072

Last edited: 2016-11-28 02:47

View 3 revisions

I've committed a fix for the issue with Duplicate Track with a Copied Playlist as e9eea8de and it will be in a nighly build >= 5.4.470

Please test and if there are any issues please open a separate bug report, thanks.

I'm marking this issue as resolved.

elgoun

2016-11-28 03:35

reporter   ~0019075

Ok,

Duplicate Track with a Copied Playlist works as expected.

Issue History

Date Modified Username Field Change
2016-11-25 17:40 robsco New Issue
2016-11-25 17:40 robsco File Added: playlists_duplicate_copy.mkv
2016-11-26 10:06 timbyr Note Added: 0019052
2016-11-26 10:06 timbyr Status new => confirmed
2016-11-27 20:18 elgoun Note Added: 0019066
2016-11-27 20:18 elgoun File Added: fix-7141.patch
2016-11-28 00:43 robsco Note Added: 0019067
2016-11-28 01:16 timbyr Note Added: 0019068
2016-11-28 02:45 timbyr Note Added: 0019072
2016-11-28 02:46 timbyr Status confirmed => resolved
2016-11-28 02:46 timbyr Fixed in Version => 5.X git (version in description)
2016-11-28 02:46 timbyr Resolution open => fixed
2016-11-28 02:46 timbyr Assigned To => timbyr
2016-11-28 02:46 timbyr Note Edited: 0019072 View Revisions
2016-11-28 02:47 timbyr Note Edited: 0019072 View Revisions
2016-11-28 03:35 elgoun Note Added: 0019075